Login
Newsletter
Werbung

Sicherheit: Zahlenüberlauf in curl
Aktuelle Meldungen Distributionen
Name: Zahlenüberlauf in curl
ID: SUSE-SU-2018:2717-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP4, SUSE Linux Enterprise Server 11-SECURITY
Datum: Fr, 14. September 2018, 22:26
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14618
Applikationen: curl

Originalnachricht

   SUSE Security Update: Security update for curl
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:2717-1
Rating: moderate
References: #1106019
Cross-References: CVE-2018-14618
Affected Products:
SUSE Linux Enterprise Software Development Kit 11-SP4
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Server 11-SECURITY
SUSE Linux Enterprise Debuginfo 11-SP4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for curl fixes the following issues:

- CVE-2018-14618: Prevent integer overflow in the NTLM authentication code
(bsc#1106019).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11-SP4:

zypper in -t patch sdksp4-curl-13776=1

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-curl-13776=1

- SUSE Linux Enterprise Server 11-SECURITY:

zypper in -t patch secsp3-curl-13776=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-curl-13776=1



Package List:

- SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64
s390x x86_64):

libcurl-devel-7.37.0-70.33.1

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

curl-7.37.0-70.33.1
libcurl4-7.37.0-70.33.1

- SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):

libcurl4-32bit-7.37.0-70.33.1

- SUSE Linux Enterprise Server 11-SP4 (ia64):

libcurl4-x86-7.37.0-70.33.1

- SUSE Linux Enterprise Server 11-SECURITY (i586 ia64 ppc64 s390x x86_64):

curl-openssl1-7.37.0-70.33.1
libcurl4-openssl1-7.37.0-70.33.1

- SUSE Linux Enterprise Server 11-SECURITY (ppc64 s390x x86_64):

libcurl4-openssl1-32bit-7.37.0-70.33.1

- SUSE Linux Enterprise Server 11-SECURITY (ia64):

libcurl4-openssl1-x86-7.37.0-70.33.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

curl-debuginfo-7.37.0-70.33.1
curl-debugsource-7.37.0-70.33.1


References:

https://www.suse.com/security/cve/CVE-2018-14618.html
https://bugzilla.suse.com/1106019

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung